Name:           libgnomedbmm
Version:        2.9.5
Release:        4%{?dist}

Summary:        C++ interface for libgnomedb

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgnomedbmm/2.9/libgnomedbmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.6.0
BuildRequires:  libgdamm-devel >= 2.9.4
BuildRequires:  libgnomedb-devel >= 3.0.0


%description
This package provides a C++ interface for libgnomedb. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       libgnomedb-devel
Requires:       libgdamm-devel
Requires:       pkgconfig


%description devel
This package contains the libraries and header files needed for
developing applications with %{name}.


%prep
%setup -q


%build
%configure %{!?_with_static: --disable-static} --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir docs-to-include
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/docs docs-to-include/
rm -r $RPM_BUILD_ROOT%{_libdir}/%{name}-3.0


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/%{name}-3.0
%{?_with_static: %{_libdir}/*.a}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Mar 23 2008 Denis Leroy <denis@poolshark.org> - 2.9.5-4
- Rebuild with new libgdamm

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.9.5-3
- Autorebuild for GCC 4.3

* Wed Nov 14 2007 Denis Leroy <denis@poolshark.org> - 2.9.5-2
- Added pkgconfig Requires

* Sun Nov 11 2007 Denis Leroy <denis@poolshark.org> - 2.9.5-1
- First draft
